org.apache.cassandra.io.sstable.format.big

## Class BigTableScanner.KeyScanningIterator

- java.lang.Object
- - org.apache.cassandra.utils.AbstractIterator<UnfilteredRowIterator>
  - - org.apache.cassandra.io.sstable.format.big.BigTableScanner.KeyScanningIterator

- All Implemented Interfaces:
    com.google.common.collect.PeekingIterator<UnfilteredRowIterator>, java.util.Iterator<UnfilteredRowIterator>
  Enclosing class:
    BigTableScanner

      protected class BigTableScanner.KeyScanningIterator
      extends AbstractIterator<UnfilteredRowIterator>

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `KeyScanningIterator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected UnfilteredRowIterator` | `computeNext()`

    - ### Methods inherited from class org.apache.cassandra.utils.AbstractIterator

      `endOfData, hasNext, next, peek, remove`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

- - ### Constructor Detail

    - #### KeyScanningIterator

          protected KeyScanningIterator()

  - ### Method Detail

    - #### computeNext

          protected UnfilteredRowIterator computeNext()

      Specified by:
        `computeNext` in class `AbstractIterator<UnfilteredRowIterator>`

Copyright © 2018 The Apache Software Foundation